View Issue Details

IDProjectCategoryView StatusLast Update
16730Bug reportsSurvey editingpublic2020-11-16 13:19
ReporterDenisChenu Assigned Toollehar  
PriorityhighSeverityblock 
Status assignedResolutionopen 
Product Version4.3.19 
Summary16730: A lot of attribute can not be translated
Description

A lot of question attribute can not be translated, even if it's can be in 3.X

Steps To Reproduce

Import included surey and try to have different string for each language in

  • Label for 'Other:' option
  • Relevance help for printable survey
  • Question validation tip
  • Time limit countdown message

  • on SampleQ question
TagsNo tags attached.
Complete LimeSurvey version number (& build)4.3.19
I will donate to the project if issue is resolvedNo
Sync to Zoho Project
Browsernot relevant
Database & DB-Versionnot relevant?
Server OS (if known)not relevant ?
Webserver software & version (if known)not relevant ?
PHP Versionnot relevant ?

Relationships

related to 16337 acknowledged No translation for question attribute 

Activities

DenisChenu

DenisChenu

2020-10-09 22:43

developer  

ollehar

ollehar

2020-10-13 17:12

administrator   ~60178

See branch task/zoho-revert-vuejs-from-question-editor.

DenisChenu

DenisChenu

2020-10-13 17:15

developer   ~60179

OK :)

I'm afraid of bad reading of Attributes, because i see one time the (french) on a attribute :)

Mazi

Mazi

2020-11-16 11:41

partner   ~60654

@cdorin / @ollehar: We can reproduce this problem at a customer's project and it is causing us some very serious problems. They are always using multilingual surveys (usually EN + AR language). Since several core survey detals like validation hints can only be used at a single language, this partially makes the surveys imposible to use for them.

@cdorin: We need a rather quick solution to this. Please also set the severity to "block" since multilingual surveys using features like "label for other" or "question validation tip" are now really hard to deal with for the common user if those translations are not available for their language.

DenisChenu

DenisChenu

2020-11-16 11:50

developer   ~60655

@Mazi translation in admin GUI here, not public survey ...
Not the same issue ......

medhat

medhat

2020-11-16 11:51

reporter   ~60656

We are facing the same problem.
Surprisingly, the label for "others" option used to be multi-lingual in old versions (like 2.00) but now it's not!
I agree with Mazi: this is really blocking !

ollehar

ollehar

2020-11-16 11:59

administrator   ~60657

We need a rather quick solution to this.

Imagine using LS4 in production... Dorin will have to check priority.

DenisChenu

DenisChenu

2020-11-16 12:04

developer   ~60658

@ollehar : i don't understand why block for the original issue.

It's admin GUI translation see related to screenshot.

Admin GUI are never block ....

Mazi

Mazi

2020-11-16 12:09

partner   ~60659

Sample survey attached.

@ollerhar RE "Imagine using LS4 in production": This project started earlier this year when LS4 was the official latest stable release...

medhat

medhat

2020-11-16 12:12

reporter   ~60660

This issue is affecting the user interface, not the admin GUI.
Please check the screenshot below

label_Others.png (59,752 bytes)   
label_Others.png (59,752 bytes)   
ollehar

ollehar

2020-11-16 12:13

administrator   ~60661

@ollerhar RE "Imagine using LS4 in production": This project started earlier this year when LS4 was the official latest stable release...

Yeah, I figured. Sorry. Who ever took the decision to mark LS4 as stable should fix it. ><

ollehar

ollehar

2020-11-16 12:20

administrator   ~60662

Admin GUI are never block ....

Depends on the client?

DenisChenu

DenisChenu

2020-11-16 12:24

developer   ~60663

@ollehar : Mazi and medhat issue are about i18n attribute don't go to PUBLIC.

My issue is about admin GYUI translation of label.

If we put different issue's in same ma,ntuis number : hoàw you can manage it ?

You fix the issue about i18n : this issue was closed ....
But the originaal issue was not closed .

ollehar

ollehar

2020-11-16 12:32

administrator   ~60664

OK, Dorin will disentangle this later. But to everyone: Yes, of course always submit a new bug for new issues, or ask if it's not clear what the issue is about.

DenisChenu

DenisChenu

2020-11-16 12:40

developer   ~60665

And for infoirmation : i can be jealous , i report an issue on 2020-10-09 , assigned on 2020-10-13.
Mazi make an answer one month after : the issue become urgent ....

(it's not the case : i think clearly public issue must be fixed before admin GUI issue)

ollehar

ollehar

2020-11-16 12:42

administrator   ~60666

Yeah, we often assume Mazi has big customers. Was it blocking for you too?

DenisChenu

DenisChenu

2020-11-16 13:18

developer   ~60667

Last edited: 2020-11-16 13:19

View 2 revisions

Admin GUI : no ;) (never)

Issue History

Date Modified Username Field Change
2020-10-09 22:43 DenisChenu New Issue
2020-10-09 22:43 DenisChenu File Added: limesurvey_survey_179695.lss
2020-10-13 17:05 cdorin Status new => confirmed
2020-10-13 17:05 cdorin Priority none => high
2020-10-13 17:11 ollehar Assigned To => ollehar
2020-10-13 17:11 ollehar Status confirmed => assigned
2020-10-13 17:12 ollehar Note Added: 60178
2020-10-13 17:15 DenisChenu Note Added: 60179
2020-11-16 11:36 Mazi Relationship added related to 16337
2020-11-16 11:41 Mazi Note Added: 60654
2020-11-16 11:50 DenisChenu Note Added: 60655
2020-11-16 11:51 medhat Note Added: 60656
2020-11-16 11:57 ollehar Severity minor => block
2020-11-16 11:59 ollehar Note Added: 60657
2020-11-16 12:04 DenisChenu Note Added: 60658
2020-11-16 12:04 DenisChenu File Added: Capture d%u2019écran du 2020-05-28 08-07-46.png
2020-11-16 12:04 DenisChenu File Added: Capture d%u2019écran du 2020-05-28 08-15-12.png
2020-11-16 12:09 Mazi Note Added: 60659
2020-11-16 12:09 Mazi File Added: limesurvey_survey_235593.lss
2020-11-16 12:12 medhat Note Added: 60660
2020-11-16 12:12 medhat File Added: label_Others.png
2020-11-16 12:13 ollehar Note Added: 60661
2020-11-16 12:20 ollehar Note Added: 60662
2020-11-16 12:24 DenisChenu Note Added: 60663
2020-11-16 12:32 ollehar Note Added: 60664
2020-11-16 12:40 DenisChenu Note Added: 60665
2020-11-16 12:42 ollehar Note Added: 60666
2020-11-16 13:18 DenisChenu Note Added: 60667
2020-11-16 13:19 DenisChenu Note Edited: 60667 View Revisions